ImagickDraw::skewX
ImagickDraw::translate
ImagickDraw
PHP Manual

# ImagickDraw::skewY

(PECL imagick 2.0.0)

ImagickDraw::skewY — Skews the current coordinate system in the vertical direction

### Description

bool ImagickDraw::skewY ( float `$degrees` )
Warning

This function is currently not documented; only its argument list is available.

Skews the current coordinate system in the vertical direction.

### Parameters

`degrees`

  degrees to skew

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::skewY()

`<?php
function skewY($strokeColor, $fillColor, $backgroundColor, $fillModifiedColor,
$startX, $startY, $endX, $endY, $skew) {
$draw = new \ImagickDraw();
$draw->setStrokeColor($strokeColor);
$draw->setStrokeWidth(2);
$draw->setFillColor($fillColor);
$draw->rectangle($startX, $startY, $endX, $endY);
$draw->setFillColor($fillModifiedColor);
$draw->skewY($skew);
$draw->rectangle($startX, $startY, $endX, $endY);
$image = new \Imagick();
$image->newImage(500, 500, $backgroundColor);
$image->setImageFormat("png");
$image->drawImage($draw);
header("Content-Type: image/png");
echo $image->getImageBlob();
}
?>`

ImagickDraw::skewX
ImagickDraw::translate
ImagickDraw
PHP Manual